Subject: bug#30660: mention describe-bindings on (info "(emacs) Keymaps")

From: Drew Adams <[email-masked]>
Date: Sat, 18 Jan 2020 18:09:25 -0800 (PST)

> The pseudo-code only gives us the *value* of the keymap.  This is
> probably part of the reason why Drew wanted us to be able to find
> keymap *symbols* from values.

Yes, part of the reason.  And my version doesn't
just try to find keymap symbols from values.  It
also handles real keymap args (non-interactively),
that is, keymaps for which no symbol is found (and
perhaps not even sought).

As I said, users reported the use case of having a
keymap without any symbol (in 2015, whereas I added
`describe-keymap' in 2007 - 8 years earlier).

And a keymap can be composed, or it can be modified
without updating any associated symbol name(s).
Keymaps are not necessarily always with variables,
and a user can want to see, in human terms, what
the keys are in a given map.  This represents real,
non-interactive use cases.

And as I also said, as long as the version you add
to vanilla Emacs doesn't offer at least what my
version provides I'll feel obliged to continue to
offer my version, even for the most recent Emacs
versions - something I'd prefer not to have to do.

That is apparently still not so - the proposed
`describe-keymap' code still doesn't allow for a
non-symbol keymap argument.

I don't recall ever seeing a good argument as to
why you refuse to provide this feature.  I hope
you might reconsider this continuing lack.